## osinfo_resourceslist osinfo_resourceslist — A list of installation resources |

## Functions

OsinfoResourcesList * | osinfo_resourceslist_new ()
OsinfoResourcesList * | osinfo_resourceslist_new_copy ()
OsinfoResourcesList * | osinfo_resourceslist_new_filtered ()
OsinfoResourcesList * | osinfo_resourceslist_new_intersection ()
OsinfoResourcesList * | osinfo_resourceslist_new_union ()

## Types and Values

#define | OSINFO_TYPE_RESOURCESLIST

## Description

OsinfoResourcesList is a list specialization that stores only OsinfoResources objects.

## Functions

### osinfo_resourceslist_new ()

    OsinfoResourcesList *
    osinfo_resourceslist_new (void);

Construct a new resources list that is initially empty.

#### Returns

an empty resources list.

[transfer full]

### osinfo_resourceslist_new_copy ()

    OsinfoResourcesList *
    osinfo_resourceslist_new_copy (OsinfoResourcesList *source);

`osinfo_resourceslist_new_copy` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_copy()` instead.

Construct a new resources list that is filled with resources instances from `source`

#### Parameters

source | the resources list to copy |

#### Returns

a copy of the resources list.

[transfer full]

### osinfo_resourceslist_new_filtered ()

    OsinfoResourcesList *
    osinfo_resourceslist_new_filtered (OsinfoResourcesList *source,
                                       OsinfoFilter *filter);

`osinfo_resourceslist_new_filtered` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_filtered()` instead.

Construct a new resources list that is filled with resources instances from `source` that match `filter`

#### Parameters

source | the resources list to copy |
filter | the filter to apply |

#### Returns

a filtered copy of the resources list.

[transfer full]

### osinfo_resourceslist_new_intersection ()

    OsinfoResourcesList *
    osinfo_resourceslist_new_intersection (OsinfoResourcesList *sourceOne,
                                           OsinfoResourcesList *sourceTwo);

`osinfo_resourceslist_new_intersection` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_intersection()` instead.

Construct a new resources list that is filled with only the resources instances that are present in both `sourceOne` and `sourceTwo` .

#### Parameters

sourceOne | the first resources list to copy |
sourceTwo | the second resources list to copy |

#### Returns

an intersection of the two resources lists.

[transfer full]

### osinfo_resourceslist_new_union ()

    OsinfoResourcesList *
    osinfo_resourceslist_new_union (OsinfoResourcesList *sourceOne,
                                    OsinfoResourcesList *sourceTwo);

`osinfo_resourceslist_new_union` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_union()` instead.

Construct a new resources list that is filled with all the resources instances that are present in either `sourceOne` and `sourceTwo` .

#### Parameters

sourceOne | the first resources list to copy |
sourceTwo | the second resources list to copy |

#### Returns

a union of the two resources lists.

[transfer full]

## Types and Values

### OSINFO_TYPE_RESOURCESLIST

    # define OSINFO_TYPE_RESOURCESLIST (osinfo_resourceslist_get_type ())

## See Also

OsinfoList, OsinfoResources